# Set permissions classification

Classify permissions for self-service usage.
Provide an array of `permissionIds` and the classification `type` in the request body. This allows you to segregate which permissions will be used for self-service.

Endpoint: PUT /resources/permissions/v1/classification
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `permissionIds` (array, required)

  - `type` (string, required)
    Enum: "NEVER", "ALWAYS", "ASSIGNABLE"

## Response 200 fields (application/json):

  - `id` (string, required)

  - `key` (string, required)

  - `name` (string, required)

  - `description` (string, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

  - `roleIds` (array, required)

  - `categoryId` (string, required)

  - `fePermission` (boolean, required)

